id: wordpress-wordpress-importer

info:
  name: WordPress Importer Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/wordpress-importer/
  metadata:
    plugin_namespace: wordpress-importer
    wpscan: https://wpscan.com/plugin/wordpress-importer
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/wordpress-importer/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/wordpress-importer.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4b0a004830460221009893b682fad743a92b7034ce96c63c4d534c196f7ae2436b8cf027f27e894556022100f38cb989b8a57a96d90826bbfccdde823427a9c3c4ba32e1b4db609a381bb089:922c64590222798bb761d5b6d8e72950